=== debian/changelog ===
soprano (2.8.0+dfsg.1-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1018300).
  * Bump Standards-Version to 3.9.3.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 02 Jul 2012 17:05:06 -0400

soprano (2.7.57+dfsg.1-0ubuntu3) quantal; urgency=low

  * Install tcpclient.h to libsoprano-dev, required by smokekde.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 13 Jun 2012 08:59:26 +0200

soprano (2.7.57+dfsg.1-0ubuntu2) quantal; urgency=low

  * Update symbols files on all archs

 -- Scott Kitterman <scott@kitterman.com>  Tue, 12 Jun 2012 22:49:32 -0400

soprano (2.7.57+dfsg.1-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Update debian/patches/disable_usr_lib_install_rpath.diff for changes in
      this release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 12 Jun 2012 09:19:05 -0400

soprano (2.7.56+dfsg.1-0ubuntu2) quantal; urgency=low

  * update libsoprano4.symbols for powerpc, armel, armhf

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Jun 2012 23:35:21 +0200

soprano (2.7.56+dfsg.1-0ubuntu1) quantal; urgency=low

  * New upstream beta release
    - refresh disable_usr_lib_install_rpath.diff 
      and doxyfile_generate_tagfile.diff 
    - refresh libsoprano4.symbols and drop the symbols for TcpClient
      which was removed

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 03 Jun 2012 20:31:26 +0200

soprano (2.7.5+dfsg.1-1ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Build-depend on libraptor2-dev instead of libraptor1-dev
    - Use Ubuntu version numbers in debian/libsoprano4.symbols
    - Do not apply redland_raptor2_support.h, no longer needed.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 20 May 2012 14:29:28 -0400
