=== debian/changelog ===
soprano (2.9.0+dfsg.1-0ubuntu1) raring; urgency=low

  * New upstream release
    - Update symbols/install files
  * Make DFSG compliant

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 Jan 2013 13:02:08 +0000

soprano (2.8.0+dfsg.1-0ubuntu2) raring; urgency=low

  * Disable lucene support. Obsoleted upstream.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Nov 2012 00:08:17 +0000
