=== debian/control ===
Source: soprano
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
 dpkg-dev (>= 1.15.5), libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4.5.3),
 libraptor2-dev (>= 2.0.4), librdf0-dev (>= 1.0.13),
 doxygen (>= 1.7.1), graphviz, libvirtodbc0, unixodbc-dev
Standards-Version: 3.9.3
Homepage: http://soprano.sourceforge.net
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/soprano.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-req/soprano.git

Package: soprano-daemon
Section: utils
Architecture: any
Depends: libvirtodbc0, ${shlibs:Depends}, ${misc:Depends}
Recommends: libsoprano4 (= ${binary:Version})
Suggests: virtuoso-minimal
Breaks: libsoprano4 (<< 2.3.0+dfsg.1-1), libsoprano-dev (<< 2.3.0+dfsg.1-1)
Replaces: libsoprano4 (<< 2.3.0+dfsg.1-1), libsoprano-dev (<< 2.3.0+dfsg.1-1)
Description: daemon for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4. Soprano is targeted at desktop applications that need to store RDF
 data. Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains the Soprano daemon, D-Bus service, parser plugins, and a
 storage plugin for the Redland RDF Application Framework. This package is not
 intended to be neither directly installed nor used by end users. It will be
 installed automatically whenever needed.

Package: libsoprano4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, soprano-daemon (= ${binary:Version})
Conflicts: libsoprano3
Replaces: libsoprano3
Description: libraries for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains the Soprano core libraries, D-Bus service, parser
 plugins, and a storage plugin for the Redland RDF Application Framework.

Package: libsoprano-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsoprano4 (= ${binary:Version})
Suggests: libsoprano-doc (= ${source:Version})
Breaks: libsoprano4 (<< 2.1.64+svn897713), soprano-daemon (<< 2.4.0.1+dfsg.1)
Replaces: libsoprano4 (<< 2.1.64+svn897713), soprano-daemon (<< 2.4.0.1+dfsg.1)
Description: development files for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains development files for building software that uses the
 Soprano libraries.

Package: libsoprano-doc
Priority: extra
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: qt4-doc
Description: developer documentation for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains documentation for software developers using the Soprano
 RDF framework.

Package: libsoprano-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${misc:Depends}, libsoprano4 (= ${binary:Version})
Description: debugging symbols for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the Soprano packages.
