=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 override_dh_auto_configure:
 	$(overridden_command) -- -DSOPRANO_BUILD_API_DOCS=ON \
-		-DSOPRANO_DISABLE_SESAME2_BACKEND=ON
+		-DSOPRANO_DISABLE_SESAME2_BACKEND=ON \
+		-DSOPRANO_DISABLE_CLUCENE_INDEX=1
 
 override_dh_install:
 	$(overridden_command) -plibsoprano-doc --sourcedir=$(builddir)
