## soprano 2.9.4+dfsg

=== debian/changelog ===
soprano (2.9.4+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Remove obsolete libraptor1-dev build-dependency (Closes: #854034).
    Build-depend on libraptor2-dev instead, which is what
    soprano-daemon actually uses.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Feb 2017 12:51:43 +0100

soprano (2.9.4+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Update symbols files. (Closes: #807590)
  * Remove obsolete installgen file.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Aug 2016 22:08:33 +0200

soprano (2.9.4+dfsg-3) unstable; urgency=medium

  * Update symbols files from buildds logs (2.9.4+dfsg-2).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 11 Aug 2015 08:55:00 +0200

soprano (2.9.4+dfsg-2) unstable; urgency=medium

  * Update symbols file with buildds logs.
  * Update symbols files. (Closes: #778126, #752112)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Aug 2015 21:15:54 +0200

soprano (2.9.4+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols file.
    Patch by Sphinx Jiang <yishanj13@gmail.com>.
    Work done for Debian GSOC2014.
    Closes: #746916.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Jun 2014 10:46:06 +0100

soprano (2.9.4+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update patch: add_library_architecture_to_libDirs.patch.
  * Remove patch: upstream_find-clucene-shared.diff, already applied by
    upstream.
  * Remove obsolete patch: x11_not_required.diff.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 04 Nov 2013 16:10:56 +0100

soprano (2.9.3+dfsg-1) experimental; urgency=low

  * New upstream release.
  * New patch: add_library_architecture_to_libDirs.patch.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Sep 2013 17:25:16 +0200

soprano (2.9.2+dfsg.1-4) unstable; urgency=low

  * Team upload.
  * Remove last bits of multiarch, since soprano is not read for it and
    would require more work to also not break rdepends:
    - drop patch add_m-a_dirs_to_the_search_path.diff
    - remove Pre-Depends
  * Backport upstream commit 4bfdfdfdee03080ec9ca21eeb168c2ab9dbba0bb to fix
    compatibility with clucene 2.x; patch upstream_find-clucene-shared.diff.
    (Closes: #718369)
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Aug 2013 16:18:51 +0200

soprano (2.9.2+dfsg.1-3) experimental; urgency=low

  * Rebuild without multi-arch.
  * New patch, add m-a dirs to the search patch.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Jun 2013 13:10:19 +0200

soprano (2.9.2+dfsg.1-2) experimental; urgency=low

  * Rebuild for multi-arch.
  * Update install files.
  * Update vcs-fields.
  * Update lintian override for m-a.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Jun 2013 10:37:48 +0200

soprano (2.9.2+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Disable x11_not_required.diff patch, applied by upstream.
  * Disable doxyfile_generate_tagfile.diff patch, applied by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 11 May 2013 15:25:32 +0200

soprano (2.9.1+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Drop unused (since 2.9.0+dfsg1-1) patch disable_usr_lib_install_rpath.diff.

  [ Maximiliano Curia ]
  * Update watch file.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Add myself to the list of uploaders.
  * Update symbols file:
    - Remove Soprano::Server::ServerCore::serverConnectionFinished() (private).
    - Add new symbols.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 10 May 2013 01:24:13 +0200

soprano (2.9.0+dfsg1-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Update symbols files.
  * Bump debhelper compatibility level to 9.
  * Remove dont_use_virtuoso_default_port.diff, applied upstream.
  * Update symbols files.
  * Update installed files.
  * Add lintian override for hardening-no-fortify-functions.

  [ Daniele E. Domenichelli ]
  * Update disable_usr_lib_install_rpath.diff.

  [ Sune Vuorela ]
  * Release to experimental
  * Update me in uploaders

 -- Sune Vuorela <sune@debian.org>  Mon, 25 Mar 2013 17:44:41 +0100

soprano (2.7.6+dfsg.1-3) unstable; urgency=low

  * Team upload.
  * Add dont_use_virtuoso_default_port.diff, prevents hangs when installing or
    running virtuoso as a standalone server.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 05 Feb 2013 11:38:17 +0100
