=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: soprano
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Fathi Boudra <fabo@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
  dpkg-dev (>= 1.15.5), libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4.5.3),
- libraptor2-dev (>= 2.0.4), librdf0-dev (>= 1.0.13),
- doxygen (>= 1.7.1), graphviz, libvirtodbc0, unixodbc-dev
-Standards-Version: 3.9.3
+ libraptor2-dev (>= 1.4.16), librdf0-dev (>= 1.0.13),
+ doxygen (>= 1.7.1), graphviz, libiodbc2-dev
+Standards-Version: 3.9.8
 Homepage: http://soprano.sourceforge.net
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/soprano.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-req/soprano.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-req/soprano.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-req/soprano.git
 
 Package: soprano-daemon
 Section: utils
 Architecture: any
-Depends: libvirtodbc0, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libsoprano4 (= ${binary:Version})
 Suggests: virtuoso-minimal
 Breaks: libsoprano4 (<< 2.3.0+dfsg.1-1), libsoprano-dev (<< 2.3.0+dfsg.1-1)
@@ -71,6 +73,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: qt4-doc
+Breaks: libsoprano-dev (<< 2.6.0+dfsg.1-1)
+Replaces: libsoprano-dev (<< 2.6.0+dfsg.1-1)
 Description: developer documentation for the Soprano RDF framework
  Soprano is a pluggable RDF storage, parsing, and serialization framework based
  on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
