=== debian/watch ===
version=3

opts=dversionmangle=s/~/-/;s/[\.\+]dfsg[\d\.]*// \
http://sf.net/soprano/soprano-(.*)\.tar\.bz2
